### Function

# Dex socket_client_connect

#### Declaration [src]

    DexFuture*
    dex_socket_client_connect (
      GSocketClient* socket_client,
      GSocketConnectable* socket_connectable
    )

#### Description

No description available.

#### Parameters

`socket_client`

  Type: `GSocketClient`

  A `GSocketClient`.

  The data is owned by the caller of the function.

`socket_connectable`

  Type: `GSocketConnectable`

  A `GSocketConnectable`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GSocketConnection` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.